Package org.apache.sysds.runtime.compress.colgroup.mapping

## Enum MapToFactory.MAP_TYPE

- java.lang.Object
- - java.lang.Enum<MapToFactory.MAP_TYPE>
  - - org.apache.sysds.runtime.compress.colgroup.mapping.MapToFactory.MAP_TYPE

All Implemented Interfaces:
  `Serializable`, `Comparable<MapToFactory.MAP_TYPE>`

Enclosing interface:
  MapToFactory

    public static enum MapToFactory.MAP_TYPE
    extends Enum<MapToFactory.MAP_TYPE>

### Enum Constant Summary

Enum Constants
`BIT`
`BYTE`
`CHAR`
`CHAR_BYTE`
`INT`
`UBYTE`
`ZERO`

### Method Summary

All Methods Static Methods Concrete Methods
`static MapToFactory.MAP_TYPE` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static MapToFactory.MAP_TYPE[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ZERO

    public static final MapToFactory.MAP_TYPE ZERO

#### BIT

    public static final MapToFactory.MAP_TYPE BIT

#### UBYTE

    public static final MapToFactory.MAP_TYPE UBYTE

#### BYTE

    public static final MapToFactory.MAP_TYPE BYTE

#### CHAR

    public static final MapToFactory.MAP_TYPE CHAR

#### CHAR_BYTE

    public static final MapToFactory.MAP_TYPE CHAR_BYTE

#### INT

    public static final MapToFactory.MAP_TYPE INT

### Method Detail

#### values

    public static MapToFactory.MAP_TYPE[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (MapToFactory.MAP_TYPE c : MapToFactory.MAP_TYPE.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static MapToFactory.MAP_TYPE valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null